GNU bug report logs - #32871
[PATCH] gnu: ruby: Add Ruby 2.5.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Christopher Baines <mail@HIDDEN>; Keywords: patch pending; dated Sat, 29 Sep 2018 11:17:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) pending. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32871 <at> debbugs.gnu.org:


Received: (at 32871) by debbugs.gnu.org; 8 Dec 2018 18:16:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 13:16:48 2018
Received: from localhost ([127.0.0.1]:38744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVh9k-0000kO-FU
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 13:16:48 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:35748
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gVh9i-0000kG-J6
 for 32871 <at> debbugs.gnu.org; Sat, 08 Dec 2018 13:16:47 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id AB9E516872; Sat,  8 Dec 2018 18:16:45 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 4A4AC1679F;
 Sat,  8 Dec 2018 18:16:45 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id b82389bd;
 Sat, 8 Dec 2018 18:16:44 +0000 (UTC)
References: <87in2g0zlm.fsf@HIDDEN> <87d0se6f37.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: 32871 <at> debbugs.gnu.org
Subject: Re: Ruby 2.5, pushing to staging?
In-reply-to: <87d0se6f37.fsf@HIDDEN>
Date: Sat, 08 Dec 2018 18:16:42 +0000
Message-ID: <87k1kjx4s5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32871
Cc: guix-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Christopher Baines <mail@HIDDEN> writes:

> Christopher Baines <mail@HIDDEN> writes:
>
>> A new minor version of Ruby has been out for a while, and it would be
>> good to get Ruby 2.5 in to Guix.
>>
>> I've put up a patch here [1], and tried it locally. I've pushed some
>> fixes to master to make some packages compatible [2], and while I do get
>> some failures when building the 958 (according to guix refresh -l)
>> dependant packages, I'm unsure how many of these are down to the Ruby
>> upgrade.
>>
>> 1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32871
>> 2: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32870
>>
>> Anyway, looking at the contributing guide this is possibly too big of a
>> change to push directly to master, so should I push this to the staging
>> branch?
>
> I've now gone ahead and pushed to staging. Not really sure what happens
> now.... will berlin and hydra pick this up automatically, and start
> building packages?

So, I'm still interested in pushing Ruby 2.5 forward. I've now pushed an
upgrade from 2.5.1 to 2.5.3 to the staging branch, as that seemed
sensible.

I can see that ci.guix.info (berlin) has picked this up (I think here
[1]), but I'm not sure what to do next...?

Thanks,

Chris

1: http://ci.guix.info/eval/2010

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlwMCopfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XeTWQ/5AcWb7sZRliagQ0NKh3hSSG8/bp6CmQ1JLizKk/C5DZm0937u9OFCT+EV
qqgPuu/MBx2cxD0aVOeOIN6XiqXOkvtaFhBHolVJRkYw0dHsS/DWel8Gi6aIqwly
3IMv6VeKymfCth6dbyMEmUrVqOmQzajkeLZF3iWvzoPCEZZ1O+fpzTZaAd5Sq4O+
gbdISTfdrI09Pb2qlQcP01Z3R+i+TVXzTurukaBVvysomG+8o5cpXeQXcrGnegKD
SzaLW9wiy24iJzU5N3UNHl3E1jjU+0WaO5UwVPd7h6RxjdENRD/Oxi7J3M1VC8rc
wZZOyoV8pHQNGBw5NwPph1+bHr4DueaY3tdkgrnJca7HGh66Os6bzoMqs1ftC5xV
zuzRZIEOFonGOPihpqa3WyG0nLIhKKeod6GDRUcPMxYneQeFZWZetLy8obCsZBT9
PXiB046R8JYk9NHNaZJXVCRWKtGOuN/u9OA+L6n83n0tYqh2s3rpsFLIEFc3wfF0
8vmiM4sDc+qeWQByzyOhGeUrdZFF0yzd/2o+WEmBAEy3ndXk4vYLXTtChbBC6BvC
yX4HfnJ1Pzg8nuwgSwEAOalWKTdTdkDD0xnyTVdRCEuBjJDxw7Lh6K13FrI9V05W
MHZBoxreGQa8xjIE9VMJoo1I379XnBrMqDmEF0MCSUO649ujCII=
=J4LG
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#32871; Package guix-patches. Full text available.

Message received at 32871 <at> debbugs.gnu.org:


Received: (at 32871) by debbugs.gnu.org; 19 Oct 2018 14:51:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 10:51:28 2018
Received: from localhost ([127.0.0.1]:59655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDW7c-0003UW-15
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 10:51:28 -0400
Received: from li622-129.members.linode.com ([212.71.249.129]:37280
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gDW7a-0003UL-0I
 for 32871 <at> debbugs.gnu.org; Fri, 19 Oct 2018 10:51:26 -0400
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 20B8A165C0; Fri, 19 Oct 2018 15:51:25 +0100 (BST)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 669AD16571;
 Fri, 19 Oct 2018 15:51:24 +0100 (BST)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id fe77a45c;
 Fri, 19 Oct 2018 14:51:24 +0000 (UTC)
References: <87in2g0zlm.fsf@HIDDEN> <87d0se6f37.fsf@HIDDEN>
 <87murfk2aj.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#32871] Ruby 2.5, pushing to staging?
In-reply-to: <87murfk2aj.fsf@HIDDEN>
Date: Fri, 19 Oct 2018 15:51:21 +0100
Message-ID: <87muraat1y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32871
Cc: guix-devel@HIDDEN, 32871 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi Chris,
>
> Christopher Baines <mail@HIDDEN> skribis:
>
>> Christopher Baines <mail@HIDDEN> writes:

...

>>> Anyway, looking at the contributing guide this is possibly too big of a
>>> change to push directly to master, so should I push this to the staging
>>> branch?
>>
>> I've now gone ahead and pushed to staging. Not really sure what happens
>> now.... will berlin and hydra pick this up automatically, and start
>> building packages?
>
> Not yet!  Primarily because we=E2=80=99re focusing (or trying to=E2=80=A6=
) on building
> core-updates so we can get it merged soonish, after which we can
> hopefully merge staging.

So, berlin seemed to do something [1], but most of the builds are
scheduled. But yeah, waiting for core-updates is fine.

1: http://berlin.guixsd.org/eval/1072

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlvJ72lfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdlmRAAuLyo8j0d1AkkA2U9wLlK4jEM9dmLQ4WsUzw2xGuCfOB4ftWSwjSM8jmP
bV+jAGTm3UG54vPlSGsiXtBK19XXXsbfX7ENhk88sRjoKuWlKxtmUicLLjRUg0AQ
/mkfw3HQNHIt8wAKw+tvedCHCmvx0lrb40scjqn3YJVrCUplEF9t+Z1/I/Oh8A3q
zcVk8mPYjctw9xdGGYANx/gE0f6bBuFEIOQPOa2Mr3M+c8CV0xOhbgRMgf1FMW+G
eCxhOEei9qXEFxu7gDn4TMSr+334zanGd6KCcE5T15PAd66hQTURPDi4N2Z/sXzq
AUtu9mfRkvTLU9HWaXJpvsPUWu0KPoOu75nGG5koh12ocO2vpwM5GxGDWi/GgmCa
4OmB7+ozxuleD9IGCg0u57bNPLlhooj51Qz1YUk9d9WQdzyUO9ciqfRVIEHDQeIW
pAszCO8hBQ+dhARVVjLjWHwxGvRnuLsKDmraDG1FSBUapW0sghK2fKSIysIBnOjc
lBtbjhufwlhXUx+NntawfIN8789FWMb3OE5p8rhTQY3y7/0LMR/cxldd0io6tEW6
YjYLRMdAjWR9pmqj9ZjAjLbapzZvNNxitYIvrUQrOh58FUpUU/y05EgS1Uqnu1Hp
OBZQvpU8mtNW1lW7RAxQAN1gdXimLVpATdCVGr57wMllky9rl/w=
=xG8e
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#32871; Package guix-patches. Full text available.

Message received at 32871 <at> debbugs.gnu.org:


Received: (at 32871) by debbugs.gnu.org; 15 Oct 2018 09:05:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 05:05:52 2018
Received: from localhost ([127.0.0.1]:49777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gByoy-0005kb-Kp
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2018 05:05:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gByox-0005kO-OU
 for 32871 <at> debbugs.gnu.org; Mon, 15 Oct 2018 05:05:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gByor-0000DY-OE
 for 32871 <at> debbugs.gnu.org; Mon, 15 Oct 2018 05:05:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37282)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gByoo-0000AG-Cr; Mon, 15 Oct 2018 05:05:42 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=36824 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gByoo-0002O3-2i; Mon, 15 Oct 2018 05:05:42 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [bug#32871] Ruby 2.5, pushing to staging?
References: <87in2g0zlm.fsf@HIDDEN> <87d0se6f37.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 24 =?utf-8?Q?Vend=C3=A9miaire?= an 227 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 15 Oct 2018 11:05:40 +0200
In-Reply-To: <87d0se6f37.fsf@HIDDEN> (Christopher Baines's message of
 "Fri, 12 Oct 2018 22:16:12 +0100")
Message-ID: <87murfk2aj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32871
Cc: guix-devel@HIDDEN, 32871 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Chris,

Christopher Baines <mail@HIDDEN> skribis:

> Christopher Baines <mail@HIDDEN> writes:
>
>> A new minor version of Ruby has been out for a while, and it would be
>> good to get Ruby 2.5 in to Guix.
>>
>> I've put up a patch here [1], and tried it locally. I've pushed some
>> fixes to master to make some packages compatible [2], and while I do get
>> some failures when building the 958 (according to guix refresh -l)
>> dependant packages, I'm unsure how many of these are down to the Ruby
>> upgrade.
>>
>> 1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D32871
>> 2: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D32870
>>
>> Anyway, looking at the contributing guide this is possibly too big of a
>> change to push directly to master, so should I push this to the staging
>> branch?
>
> I've now gone ahead and pushed to staging. Not really sure what happens
> now.... will berlin and hydra pick this up automatically, and start
> building packages?

Not yet!  Primarily because we=E2=80=99re focusing (or trying to=E2=80=A6) =
on building
core-updates so we can get it merged soonish, after which we can
hopefully merge staging.

Thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#32871; Package guix-patches. Full text available.

Message received at 32871 <at> debbugs.gnu.org:


Received: (at 32871) by debbugs.gnu.org; 12 Oct 2018 21:16:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 17:16:16 2018
Received: from localhost ([127.0.0.1]:47522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gB4n9-0007gP-Qc
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 17:16:16 -0400
Received: from li622-129.members.linode.com ([212.71.249.129]:33132
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gB4n8-0007gH-3C
 for 32871 <at> debbugs.gnu.org; Fri, 12 Oct 2018 17:16:14 -0400
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 69671166FF; Fri, 12 Oct 2018 22:16:13 +0100 (BST)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 1FF76166FB;
 Fri, 12 Oct 2018 22:16:13 +0100 (BST)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id ed7c0939;
 Fri, 12 Oct 2018 21:16:12 +0000 (UTC)
References: <87in2g0zlm.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: 32871 <at> debbugs.gnu.org
Subject: Re: Ruby 2.5, pushing to staging?
In-reply-to: <87in2g0zlm.fsf@HIDDEN>
Date: Fri, 12 Oct 2018 22:16:12 +0100
Message-ID: <87d0se6f37.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32871
Cc: guix-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Christopher Baines <mail@HIDDEN> writes:

> A new minor version of Ruby has been out for a while, and it would be
> good to get Ruby 2.5 in to Guix.
>
> I've put up a patch here [1], and tried it locally. I've pushed some
> fixes to master to make some packages compatible [2], and while I do get
> some failures when building the 958 (according to guix refresh -l)
> dependant packages, I'm unsure how many of these are down to the Ruby
> upgrade.
>
> 1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32871
> 2: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32870
>
> Anyway, looking at the contributing guide this is possibly too big of a
> change to push directly to master, so should I push this to the staging
> branch?

I've now gone ahead and pushed to staging. Not really sure what happens
now.... will berlin and hydra pick this up automatically, and start
building packages?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlvBDxxfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xcrcg/9GbgTHAZx+/2DdRqjIWmV0j04vY89p8b1KjLVPZFJslBtwFx/0NGtqpsK
hOFbNZ8TtA3MXWzvaD6OlZQ3ThtgKYadZ+/pOMmACUvuU2YwrqD2Imyj7iOjhXI2
Z2XXnV8HHdYKNMKAZ53uVr1Rh5ILRpu6B10rfjcQ3cYNgSJLrKy8hx22x9OV4aRm
JERFeSYv104F/bKx/Rqot0NuHwvy/OMe1/UwflKmv2M3qUjKP0HqDrzn4Gm5Hf9B
WryPR7L8NlzYFnw3/a6XYUHzqpAvGOuy5NAErzvAfBh2tIGhXRGuZzZD3E9+TSR6
70xpD1242t2lqvFcQXABmj4b48EWlmf3x2uiG72xtlsDEfcrI9OZ8I0mpajQuUz7
NV6gAaszcTSERoK/f/rxfl0KAi9+BMVbaSWbpcGspA5t+zea1Ru9kvUaGXbNj5y1
oT4IR8the2D6MNCxQxvios3dl62v8fwKDL3ghX9cpLYRstVT9Kc3K1o8h+1Zsjbe
XzVQepQZuvBOasMao2HRkwyb54SJZBJbYLe+U6C0v1RRNKrTcuwTN4A0tPaEvdMM
6EM0tNEPnbwUjeGXADMWltTtipTyy5J8yUS5TG887werJ2HoBNUJlNduJN32U8bF
hoq9gF7iAcB2FZjS2+3iBm1/I/HsWVDNioRrRxSmqZm9x49lwGs=
=9YrQ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#32871; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2018 11:16:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 29 07:16:17 2018
Received: from localhost ([127.0.0.1]:58335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g6DEO-0001kK-Pq
	for submit <at> debbugs.gnu.org; Sat, 29 Sep 2018 07:16:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1g6DEM-0001k6-Ol
 for submit <at> debbugs.gnu.org; Sat, 29 Sep 2018 07:16:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1g6DEG-0008C4-Hd
 for submit <at> debbugs.gnu.org; Sat, 29 Sep 2018 07:16:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51974)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1g6DEG-0008Bz-1L
 for submit <at> debbugs.gnu.org; Sat, 29 Sep 2018 07:16:08 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53765)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1g6DEF-0004Q7-12
 for guix-patches@HIDDEN; Sat, 29 Sep 2018 07:16:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1g6DEB-0008Ai-TO
 for guix-patches@HIDDEN; Sat, 29 Sep 2018 07:16:06 -0400
Received: from li622-129.members.linode.com ([212.71.249.129]:35378
 helo=mira.cbaines.net) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1g6DEB-00089I-N0
 for guix-patches@HIDDEN; Sat, 29 Sep 2018 07:16:03 -0400
Received: by mira.cbaines.net (Postfix, from userid 113)
 id B41B31666B; Sat, 29 Sep 2018 12:16:02 +0100 (BST)
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id C3F641665E
 for <guix-patches@HIDDEN>; Sat, 29 Sep 2018 12:16:01 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 12d6e544
 for <guix-patches@HIDDEN>; Sat, 29 Sep 2018 11:16:01 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: ruby: Add Ruby 2.5.
Date: Sat, 29 Sep 2018 12:16:01 +0100
Message-Id: <20180929111601.21182-1-mail@HIDDEN>
X-Mailer: git-send-email 2.18.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

* gnu/packages/ruby.scm (ruby)[version]: Update to 2.5.1.
[source]: Remove the Ruby 2.4 patch, and update sha256.
(ruby-2.4): New variable.
---
 gnu/packages/ruby.scm | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 874bab8ae3..566d940255 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -55,7 +55,7 @@
 (define-public ruby
   (package
     (name "ruby")
-    (version "2.4.3")
+    (version "2.5.1")
     (source
      (origin
        (method url-fetch)
@@ -64,8 +64,7 @@
                            "/ruby-" version ".tar.xz"))
        (sha256
         (base32
-         "0l9bv67dgsphk42lmiskhrnh47hbyj6rfg2rcjx22xivpx07srr3"))
-       (patches (search-patches "ruby-rubygems-276-for-ruby24.patch"))
+         "0kbm3gkv689d1mb8fh261z8s79d6hw07p0xyk735yfqyskpcasl8"))
        (modules '((guix build utils)))
        (snippet `(begin
                    ;; Remove bundled libffi
@@ -107,6 +106,26 @@ a focus on simplicity and productivity.")
     (home-page "https://www.ruby-lang.org")
     (license license:ruby)))
 
+(define-public ruby-2.4
+  (package
+    (inherit ruby)
+    (version "2.4.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "http://cache.ruby-lang.org/pub/ruby/"
+                           (version-major+minor version)
+                           "/ruby-" version ".tar.xz"))
+       (sha256
+        (base32
+         "0l9bv67dgsphk42lmiskhrnh47hbyj6rfg2rcjx22xivpx07srr3"))
+       (patches (search-patches "ruby-rubygems-276-for-ruby24.patch"))
+       (modules '((guix build utils)))
+       (snippet `(begin
+                   ;; Remove bundled libffi
+                   (delete-file-recursively "ext/fiddle/libffi-3.2.1")
+                   #t))))))
+
 (define-public ruby-2.3
   (package
     (inherit ruby)
-- 
2.18.0





Acknowledgement sent to Christopher Baines <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#32871; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 21 Jan 2019 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.